]> git.donarmstrong.com Git - lilypond.git/commitdiff
Build: Let Autoconf check its own minimum version.
authorPatrick McCarty <pnorcks@gmail.com>
Sat, 3 Jul 2010 22:30:11 +0000 (15:30 -0700)
committerPatrick McCarty <pnorcks@gmail.com>
Sat, 3 Jul 2010 22:52:24 +0000 (15:52 -0700)
After invoking `autoconf', Autoconf will check to see if it is older
than the minimum required version.

Right now, we require Autoconf 2.60, which is specified at the top of
configure.in:

  AC_PREREQ(2.60)

If Autoconf < 2.60 is installed, an error message is produced:

  $ ./autogen.sh
  processing .
  Running autoconf ...
  configure.in:4: error: Autoconf version 2.60 or higher is required
  configure.in:4: the top level
  autom4te: /usr/bin/m4 failed with exit status: 63

autogen.sh
stepmake/autogen.sh

index 2fd8bebd5a533bcaf7e9b932c0b0bf4fd6e5919d..34c022e0825ff602da60fd86aa9ac3f0ba951ce5 100755 (executable)
@@ -18,26 +18,6 @@ if [ ! -f autogen.sh -o stepmake/autogen.sh -nt autogen.sh ]; then
     exec ./autogen.sh "$@"
 fi
 
-# Be paranoid: check for autoconf >= 2.50
-# Some setups have both autoconf 2.13 and 2.5x available through
-# a wrapper script: /usr/bin/autoconf.
-# This wrapper may incorrectly autoselect autoconf 2.50, but it
-# advertises itself as autoconf 2.13.
-# If you have such a setup, invoke this script as:
-#   autoconf=autoconf2.50 ./autogen.sh
-for i in autoconf2.50 autoconf-2.50 autoconf  false; do
-  version=`$i --version 2>/dev/null | head -n 1 | awk '{print $NF}' | awk -F. '{print $1 * 100 + $2}'`
-  if test "0$version" -ge 250; then
-    autoconf=$i
-    break
-  fi
-done
-
-if test -z "$autoconf"; then
-    echo "ERROR: Please install autoconf 2.50 or newer"
-    exit 1
-fi
-
 for i in $srcdir/configure.in #`find $srcdir -name configure.in -print`
 do 
   dir=`dirname $i`
@@ -45,8 +25,11 @@ do
   (
       cd $dir
       echo "Running autoconf ..."
-      $autoconf
+      autoconf || exit 1
   )
+  # Autoconf automatically checks its own minimum required
+  # version, and it aborts when the check fails.
+  test "$?" -eq 1 && exit 1
 done
 
 #conf_flags="--enable-maintainer-mode --enable-compile-warnings" #--enable-iso-c
index 2fd8bebd5a533bcaf7e9b932c0b0bf4fd6e5919d..34c022e0825ff602da60fd86aa9ac3f0ba951ce5 100755 (executable)
@@ -18,26 +18,6 @@ if [ ! -f autogen.sh -o stepmake/autogen.sh -nt autogen.sh ]; then
     exec ./autogen.sh "$@"
 fi
 
-# Be paranoid: check for autoconf >= 2.50
-# Some setups have both autoconf 2.13 and 2.5x available through
-# a wrapper script: /usr/bin/autoconf.
-# This wrapper may incorrectly autoselect autoconf 2.50, but it
-# advertises itself as autoconf 2.13.
-# If you have such a setup, invoke this script as:
-#   autoconf=autoconf2.50 ./autogen.sh
-for i in autoconf2.50 autoconf-2.50 autoconf  false; do
-  version=`$i --version 2>/dev/null | head -n 1 | awk '{print $NF}' | awk -F. '{print $1 * 100 + $2}'`
-  if test "0$version" -ge 250; then
-    autoconf=$i
-    break
-  fi
-done
-
-if test -z "$autoconf"; then
-    echo "ERROR: Please install autoconf 2.50 or newer"
-    exit 1
-fi
-
 for i in $srcdir/configure.in #`find $srcdir -name configure.in -print`
 do 
   dir=`dirname $i`
@@ -45,8 +25,11 @@ do
   (
       cd $dir
       echo "Running autoconf ..."
-      $autoconf
+      autoconf || exit 1
   )
+  # Autoconf automatically checks its own minimum required
+  # version, and it aborts when the check fails.
+  test "$?" -eq 1 && exit 1
 done
 
 #conf_flags="--enable-maintainer-mode --enable-compile-warnings" #--enable-iso-c